# Uses of Class
org.kapott.hbci.protocol.MSG

Packages that use MSG
Package
Description
org.kapott.hbci.comm
org.kapott.hbci.manager
Package, welches diverse Klassen für den Zugriff auf die Funktionen von HBCI4Java enthält.
org.kapott.hbci.protocol.factory
org.kapott.hbci.rewrite
Rewriter-Module werden von HBCI4Java benutzt, um mit fehlerhaften HBCI-Servern arbeiten zu können.
org.kapott.hbci.security
org.kapott.hbci.security.factory

## Uses of MSG in org.kapott.hbci.comm

Methods in org.kapott.hbci.comm that return MSG
Modifier and Type
Method
Description
`MSG`
Comm.`pingpong(String msgName, MSG msg)`
Methods in org.kapott.hbci.comm with parameters of type MSG
Modifier and Type
Method
Description
`protected abstract void`
Comm.`ping(MSG msg)`
`protected void`
CommPinTan.`ping(MSG msg)`
`protected void`
CommStandard.`ping(MSG msg)`
`MSG`
Comm.`pingpong(String msgName, MSG msg)`

## Uses of MSG in org.kapott.hbci.manager

Methods in org.kapott.hbci.manager that return MSG
Modifier and Type
Method
Description
`MSG`
MsgGen.`generate(String msgName)`

## Uses of MSG in org.kapott.hbci.protocol.factory

Methods in org.kapott.hbci.protocol.factory that return MSG
Modifier and Type
Method
Description
`MSG`
MSGFactory.`createMSG(String type, String res, int fullResLen, MsgGen gen)`
`MSG`
MSGFactory.`createMSG(String type, String res, int fullResLen, MsgGen gen, boolean checkSeq)`
`MSG`
MSGFactory.`createMSG(String type, String res, int fullResLen, MsgGen gen, boolean checkSeq, boolean checkValids)`
`MSG`
MSGFactory.`createMSG(String type, MsgGen gen, Hashtable<String,String> clientValues)`

## Uses of MSG in org.kapott.hbci.rewrite

Methods in org.kapott.hbci.rewrite that return MSG
Modifier and Type
Method
Description
`MSG`
Rewrite.`incomingData(MSG msg, MsgGen gen)`
`MSG`
RKUmsDelimiters.`incomingData(MSG msg, MsgGen gen)`
`MSG`
RKUmsEmptyBDateSets.`incomingData(MSG msg, MsgGen gen)`
`MSG`
Rewrite.`outgoingClearText(MSG msg, MsgGen gen)`
`MSG`
Rewrite.`outgoingCrypted(MSG msg, MsgGen gen)`
`MSG`
Rewrite.`outgoingSigned(MSG msg, MsgGen gen)`
Methods in org.kapott.hbci.rewrite with parameters of type MSG
Modifier and Type
Method
Description
`MSG`
Rewrite.`incomingData(MSG msg, MsgGen gen)`
`MSG`
RKUmsDelimiters.`incomingData(MSG msg, MsgGen gen)`
`MSG`
RKUmsEmptyBDateSets.`incomingData(MSG msg, MsgGen gen)`
`MSG`
Rewrite.`outgoingClearText(MSG msg, MsgGen gen)`
`MSG`
Rewrite.`outgoingCrypted(MSG msg, MsgGen gen)`
`MSG`
Rewrite.`outgoingSigned(MSG msg, MsgGen gen)`

## Uses of MSG in org.kapott.hbci.security

Methods in org.kapott.hbci.security that return MSG
Modifier and Type
Method
Description
`MSG`
Crypt.`cryptIt(String newName)`
Methods in org.kapott.hbci.security with parameters of type MSG
Modifier and Type
Method
Description
`void`
Crypt.`init(IHandlerData handlerdata, MSG msg)`
`void`
Sig.`init(IHandlerData handlerdata, MSG msg, HBCIPassportList passports)`
Constructors in org.kapott.hbci.security with parameters of type MSG
Modifier
Constructor
Description
``
`Crypt(IHandlerData handlerdata, MSG msg)`
``
`Sig(IHandlerData handlerdata, MSG msg, HBCIPassportList passports)`

## Uses of MSG in org.kapott.hbci.security.factory

Methods in org.kapott.hbci.security.factory with parameters of type MSG
Modifier and Type
Method
Description
`Crypt`
CryptFactory.`createCrypt(IHandlerData handlerdata, MSG msg)`
`Sig`
SigFactory.`createSig(IHandlerData handlerdata, MSG msg, HBCIPassportList passports)`